com.verisign.epp.codec.launchpolicy.v01

## Class EPPLaunchPolicyZoneContainer

- java.lang.Object
- - com.verisign.epp.codec.launchpolicy.v01.EPPLaunchPolicyZoneContainer

- All Implemented Interfaces:
    EPPCodecComponent, java.io.Serializable, java.lang.Cloneable
  Direct Known Subclasses:
    EPPLaunchPolicyCreate, EPPLaunchPolicyInfData, EPPLaunchPolicyUpdate

      public abstract class EPPLaunchPolicyZoneContainer
      extends java.lang.Object
      implements EPPCodecComponent

  Abstract base class for the command and response extensions that contains a zone.
  See Also:
    `EPPLaunchPolicyZone`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EPPLaunchPolicyZoneContainer()` Default constructor for `EPPLaunchPolicyZoneContainer`.
    `EPPLaunchPolicyZoneContainer(EPPLaunchPolicyZone aZone)` Constructor for `EPPLaunchPolicyZoneContainer` that takes the contained zone.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `clone()` clone an `EPPCodecComponent`.
    `void` | `decode(org.w3c.dom.Element aElement)` Decode a DOM element tree to initialize the instance attributes.
    `org.w3c.dom.Element` | `encode(org.w3c.dom.Document aDocument)` Encode instance into a DOM element tree.
    `boolean` | `equals(java.lang.Object aObject)` Compare an instance of `EPPLaunchPolicyZoneContainer` with this instance.
    `protected abstract java.lang.String` | `getLocalName()` Abstract method that the sub-class must define to return the local name for the root element.
    `protected abstract org.apache.log4j.Logger` | `getLogger()` Gets the `Logger` to use for logging.
    `java.lang.String` | `getNamespace()` Returns the XML namespace associated with the `EPPCodecComponent`.
    `EPPLaunchPolicyZone` | `getZone()` Gets the contained zone of the extension.
    `void` | `setZone(EPPLaunchPolicyZone aZone)` Sets the contained zone of the extension.
    `java.lang.String` | `toString()` Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EPPLaunchPolicyZoneContainer

          public EPPLaunchPolicyZoneContainer()

      Default constructor for `EPPLaunchPolicyZoneContainer`.

    - #### EPPLaunchPolicyZoneContainer

          public EPPLaunchPolicyZoneContainer(EPPLaunchPolicyZone aZone)

      Constructor for `EPPLaunchPolicyZoneContainer` that takes the contained zone.
      Parameters:
        `aZone` - The zone to contain

  - ### Method Detail

    - #### getLocalName

          protected abstract java.lang.String getLocalName()

      Abstract method that the sub-class must define to return the local name for the root element.
      Returns:
        Local name of the root element of the extension.

    - #### getLogger

          protected abstract org.apache.log4j.Logger getLogger()

      Gets the `Logger` to use for logging.
      Returns:
        `Logger` instance determined by the derived class.

    - #### getZone

          public EPPLaunchPolicyZone getZone()

      Gets the contained zone of the extension.
      Returns:
        Instance of contained `EPPLaunchPolicyZone`

    - #### setZone

          public void setZone(EPPLaunchPolicyZone aZone)

      Sets the contained zone of the extension.
      Parameters:
        `aZone` - Instance of `EPPLaunchPolicyZone`

    - #### encode

          public org.w3c.dom.Element encode(org.w3c.dom.Document aDocument)
                                     throws EPPEncodeException

      Encode instance into a DOM element tree. A DOM Document is passed as an argument and functions as a factory for DOM objects. The root element associated with the instance is created and each instance attribute is appended as a child node.
      Specified by:
        `encode` in interface `EPPCodecComponent`
      Parameters:
        `aDocument` - DOM Document, which acts is an Element factory
      Returns:
        Element Root element associated with the object
      Throws:
        `EPPEncodeException` - Error encoding `EPPLaunchPolicyZoneContainer`

    - #### decode

          public void decode(org.w3c.dom.Element aElement)
                      throws EPPDecodeException

      Decode a DOM element tree to initialize the instance attributes. The `aElement` argument represents the root DOM element and is used to traverse the DOM nodes for instance attribute values.
      Specified by:
        `decode` in interface `EPPCodecComponent`
      Parameters:
        `aElement` - `Element` to decode
      Throws:
        `EPPDecodeException` - Error decoding `Element`

    - #### clone

          public java.lang.Object clone()
                                 throws java.lang.CloneNotSupportedException

      clone an `EPPCodecComponent`.
      Specified by:
        `clone` in interface `EPPCodecComponent`
      Overrides:
        `clone` in class `java.lang.Object`
      Returns:
        clone of concrete `EPPLaunchPolicyZoneContainer`
      Throws:
        `java.lang.CloneNotSupportedException` - standard Object.clone exception

    - #### toString

          public java.lang.String toString()

      Implementation of `Object.toString`, which will result in an indented XML `String` representation of the concrete `EPPCodecComponent`.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        Indented XML `String` if successful; `ERROR` otherwise.

    - #### equals

          public boolean equals(java.lang.Object aObject)

      Compare an instance of `EPPLaunchPolicyZoneContainer` with this instance.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `aObject` - Object to compare with.
      Returns:
        `true` if equal; `false` otherwise.

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the XML namespace associated with the `EPPCodecComponent`.
      Specified by:
        `getNamespace` in interface `EPPCodecComponent`
      Returns:
        XML namespace for the `EPPCodecComponent`.

Copyright © VeriSign Inc. All Rights Reserved.